# Generated by Django 4.2.17 on 2024-12-19 20:44

import django.db.models.deletion
from django.db import migrations, models

import nautobot_floor_plan.utils.custom_validators


class Migration(migrations.Migration):
    dependencies = [
        ("nautobot_floor_plan", "0008_add_axis_step"),
    ]

    operations = [
        migrations.AlterField(
            model_name="floorplan",
            name="x_axis_labels",
            field=models.CharField(default="numbers", max_length=12),
        ),
        migrations.AlterField(
            model_name="floorplan",
            name="x_axis_step",
            field=models.IntegerField(
                default=1, validators=[nautobot_floor_plan.utils.custom_validators.ValidateNotZero(0)]
            ),
        ),
        migrations.AlterField(
            model_name="floorplan",
            name="y_axis_labels",
            field=models.CharField(default="numbers", max_length=12),
        ),
        migrations.AlterField(
            model_name="floorplan",
            name="y_axis_step",
            field=models.IntegerField(
                default=1, validators=[nautobot_floor_plan.utils.custom_validators.ValidateNotZero(0)]
            ),
        ),
        migrations.AddField(
            model_name="floorplan",
            name="is_tile_movable",
            field=models.BooleanField(default=True),
        ),
        migrations.CreateModel(
            name="FloorPlanCustomAxisLabel",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ("axis", models.CharField(max_length=1)),
                ("label_type", models.CharField(default="letters", max_length=20)),
                ("start_label", models.CharField(max_length=10)),
                ("end_label", models.CharField(max_length=10)),
                (
                    "step",
                    models.IntegerField(
                        default=1, validators=[nautobot_floor_plan.utils.custom_validators.ValidateNotZero(0)]
                    ),
                ),
                ("increment_letter", models.BooleanField(default=True)),
                ("order", models.PositiveIntegerField(default=0)),
                (
                    "floor_plan",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="custom_labels",
                        to="nautobot_floor_plan.floorplan",
                    ),
                ),
            ],
            options={
                "ordering": ["floor_plan", "axis", "order"],
            },
        ),
    ]
